Détails du package smp-fogclient_0.11.15-1_all.wapt
retour Revenir à la liste des packages

smp-fogclient

ATTENTION CE DÉPÔT n'est plus compatible 1.3 vous devez migrer en 1.5.1.21 !

Fichier control :

package           : smp-fogclient
version           : 0.11.15-1
architecture      : all
section           : base
priority          : optional
maintainer        : Simon Fonteneau
description       : Fog Client ! Warning ! http://fogserver/fog should work, otherwise the installation will crash
depends           : 
conflicts         : 
maturity          : 
locale            : 
target_os         : windows
min_os_version    : 
max_os_version    : 
min_wapt_version  : 
sources           : 
installed_size    : 
impacted_process  : 
description_fr    : Client Fog Attention ! http://fogserveur/fog doit fonctionner, sinon l'installation va planter
description_pl    : 
description_de    : 
description_es    : 
signer            : wapt.lesfourmisduweb.org
signer_fingerprint: 8da83ebdac1a25e820b186510d049f47407b11835b0664fdc5bacd3595b1671d
signature         : G7PlU9iTztCYoBKztnynLkb0z9tNT+VDLats7UDDag/TMSq5o2ft+gByh6KZEAjsvWbrIytQwzZ2z3X148Y7q1n8H5ncE46OAVl2kGmov7MUDl9rki7bR9Xjc2VGxgHerwMkNb27kh8y+2kAm7Gg5nPXJzFIRPDSRiy5J3G5j2fAHwzssWZn73ZUQRJ7SyqygkrPvWcsJL4d9xXOpQT0m1kQm2SRNkducfW1jJnv7m8kS4y1Uo9QGQt/pKZT0283etP28gdf7IuOiftF86Musr4AEYLlE4BtyNyuOr7JZTFGqGmGzBh7an44HbD+6nMBVWRla/xAn+6U51amXjTLrQ==
signature_date    : 20180322-000808
signed_attributes : package,version,architecture,section,priority,maintainer,description,depends,conflicts,maturity,locale,target_os,min_os_version,max_os_version,min_wapt_version,sources,installed_size,impacted_process,description_fr,description_pl,description_de,description_es,signer,signer_fingerprint,signature_date,signed_attributes






Fichier setup.py :

# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

properties = {
    'USETRAY':0,
    'HTTPS':0,
    'WEBADDRESS':'fogserveur',
    'WEBROOT':'/fog',
    'ROOTLOG':0,
    }

def install():

    for soft in installed_softwares('FOG Service'):
        run(WAPT.uninstall_cmd(soft['key']))

    print('installing Fog Client')
    install_msi_if_needed('FOGService.msi',properties=properties)




def update_package():

    for line in wgets('https://github.com/FOGProject/fog-client/releases').splitlines():
        if 'fog-client/releases/tag/' in line :
            lastversion = line[line.find('">') + 2 :line.find('</a>')]
            break

    for msi in glob.glob('*.msi'):
        if Version(get_msi_properties(msi)['ProductVersion']) != Version(lastversion):
            remove_file(msi)

    if not isfile('FOGService.msi'):
        print('Downloading FOGService.msi')
        wget('https://github.com/FOGProject/fog-client/releases/download/%s/FOGService.msi' % (lastversion),'FOGService.msi')
    else:
        print('Already up to date, skipped')

    os.chdir(os.path.dirname(__file__))

    from waptpackage import PackageEntry
    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())

    pe.version = lastversion + '-0'
    pe.save_control_to_wapt(os.getcwd())


if __name__ == '__main__':
    update_package()